# The Invoice Payment object

### The Invoice Payment object

```json
{
  "id": "inpay_1M3USa2eZvKYlo2CBjuwbq0N",
  "object": "invoice_payment",
  "amount_paid": 2000,
  "amount_requested": 2000,
  "created": 1391288554,
  "currency": "usd",
  "invoice": "in_103Q0w2eZvKYlo2C5PYwf6Wf",
  "is_default": true,
  "livemode": false,
  "payment": {
    "type": "payment_intent",
    "payment_intent": "pi_103Q0w2eZvKYlo2C364X582Z"
  },
  "status": "paid",
  "status_transitions": {
    "canceled_at": null,
    "paid_at": 1391288554
  }
}
```

- `payment` (object)
  The details on the payment.

  - `payment.charge` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    ID of the successful charge for this payment when `type` is `charge`. Note: charge is only surfaced if the charge object is not associated with a payment intent. If the charge object does have a payment intent, the Invoice Payment surfaces the payment intent instead.

  - `payment.payment_intent` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    ID of the PaymentIntent associated with this payment when `type` is `payment_intent`. Note: This property is only populated for invoices finalized on or after March 15th, 2019.

  - `payment.payment_record` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    ID of the PaymentRecord associated with this payment when `type` is `payment_record`.

  - `payment.type` (enum)
    Type of payment object associated with this invoice payment.
Possible enum values:
    - `charge`
    - `payment_intent`
    - `payment_record`
